pub(crate) mod image {
    use crate::image::Image;

    pub fn bg() -> Image {
        Image {
            name: "bg".to_string(),
            pixels: vec![
                0,0,0,0,0,0,0,0,
                0,0,0,0,0,0,0,0,
                0,0,0,0,0,0,0,0,
                0,0,0,0,0,0,0,0,
                0,0,0,0,0,0,0,0,
                0,0,0,0,0,0,0,0,
                0,0,0,0,0,0,0,0,
                0,0,0,0,0,0,0,0,
            ]
        }
    }

    pub fn block() -> Image {
        Image {
            name: "block".to_string(),
            pixels: vec![
                1,1,1,1,1,1,1,1,
                1,0,0,0,0,0,0,1,
                1,0,0,0,0,0,0,1,
                1,0,0,1,1,0,0,1,
                1,0,0,1,1,0,0,1,
                1,0,0,0,0,0,0,1,
                1,0,0,0,0,0,0,1,
                1,1,1,1,1,1,1,1,
            ]
        }
    }

    pub fn avatar() -> Image {
        Image {
            name: "avatar".to_string(),
            pixels: vec![
                0,0,0,2,2,0,0,0,
                0,0,0,2,2,0,0,0,
                0,0,0,2,2,0,0,0,
                0,0,2,2,2,2,0,0,
                0,2,2,2,2,2,2,0,
                2,0,2,2,2,2,0,2,
                0,0,2,0,0,2,0,0,
                0,0,2,0,0,2,0,0,
            ]
        }
    }

    pub fn cat() -> Image {
        Image {
            name: "cat".to_string(),
            pixels: vec![
                0,0,0,0,0,0,0,0,
                0,0,0,0,0,0,0,0,
                0,2,0,2,0,0,0,2,
                0,2,2,2,0,0,0,2,
                0,2,2,2,0,0,2,0,
                0,2,2,2,2,2,0,0,
                0,0,2,2,2,2,0,0,
                0,0,2,0,0,2,0,0,
            ]
        }
    }
}

pub(crate) mod palette {
    use crate::{Palette, Colour, IntermediatePalette};

    pub(crate) fn intermediate() -> IntermediatePalette {
        IntermediatePalette {
            colours: vec![
                vec![0,0,0,0],
                vec![0,81,104,255],
                vec![118,159,155,255],
                vec![155,155,155,255],
            ]
        }
    }

    pub(crate) fn default() -> Palette {
        Palette {
            name: "blueprint".to_string(),
            colours: vec![
                Colour { red: 0,   green: 0,   blue: 0   },
                Colour { red: 0,   green: 81,  blue: 104 },
                Colour { red: 118, green: 159, blue: 155 },
                Colour { red: 155, green: 155, blue: 155 },
            ],
        }
    }
}
